1. Nimm jetzt an unserem Uhans - 3. ADVENT - Gewinnspiel teil - Alle Informationen findest Du hier!

Radio Udate Error

Dieses Thema im Forum "Root / Hacking / Modding für T-Mobile G1" wurde erstellt von neonreyxu, 23.02.2010.

  1. neonreyxu, 23.02.2010 #1
    neonreyxu

    neonreyxu Threadstarter Neuer Benutzer

    Beiträge:
    24
    Erhaltene Danke:
    0
    Registriert seit:
    05.05.2009
    Hallo bräuchte mal Hilfe.

    Mein Handy Google G1 (HTC Dream black)

    Regenbogenmodus:
    DREA110 PVT 32B
    HBOOT-0.95.0000
    CPLD-4
    Radio-1.22.12.29

    Rom:
    Firmware-Version: 1.6
    ModVersion: CyanogenMod-4.2.14.1
    BuildNummer: DRC83
    Kernelversion: 2.6.29.6-cm42 shade@toxgen
    Basebandversion: 62.33.20.08U_1.22.12.29

    Ich habe versucht ein Rom Update mit der offiziellen Datei "ota-radio-2_22_19_26I.zip" zu machen , welches mir dann den Fehler auswirft:

    Update Failure
    assert getprop("ro.product.device") == "dream" || getprop("ro.build.product") == "dream"
    Installation aborted


    Da ich nicht vor hatte mein Handy komplett neu zu machen und somit vom Rooted zustand auf standard zugehen würde ich euch bitten eine Lösung zu finden denn ich muss auf das neue Radion updaten um mein Bluetooth Headset zum laufen zu bekommen.

    Vielen Dank schon mal im vorraus

    Sollte das Thema schon Existieren dann bitte ich darum den Eintrag zu verschieben. Danke
     
    Zuletzt bearbeitet: 23.02.2010
  2. Denowa, 23.02.2010 #2
    Denowa

    Denowa Android-Guru

    Beiträge:
    2,872
    Erhaltene Danke:
    565
    Registriert seit:
    21.08.2009
    Phone:
    OnePlus One, OnePlus Two, ZTE Axon 7
    Wearable:
    Pebble
    Ich bin mir in deinem Fall zwar nicht sicher, aber es gibt fehlerhafte G1 bei denen man kein Radio Update einspielen kann. Aber lass Dir das bitte auch von anderen bestätigen! Ich würde sagen, tauschen lassen ... !?!
     
  3. winne, 23.02.2010 #3
    winne

    winne Android-Guru

    Beiträge:
    3,788
    Erhaltene Danke:
    644
    Registriert seit:
    09.05.2009
    Phone:
    S60
    Wearable:
    Pebble schwarz
    Zuerst guck mal in die Datei build.trout. Da sollte folgendes stehen : ro.product.device=dream
    Ich würde sagen, das da vielleicht die Versionsprüfung zuschlägt. ;) Vermutung. :D

    @ DetWAR
    Bei diesen G1 gabs aber m.E. keine Fehlermeldung, sondern es wurde einfach nicht geflasht.
     
    Zuletzt bearbeitet: 23.02.2010
  4. Denowa, 23.02.2010 #4
    Denowa

    Denowa Android-Guru

    Beiträge:
    2,872
    Erhaltene Danke:
    565
    Registriert seit:
    21.08.2009
    Phone:
    OnePlus One, OnePlus Two, ZTE Axon 7
    Wearable:
    Pebble
    Dann hätte CM ja einen ziemlichen Bock geschossen!?!

    Danke für die Aufklärung, das wusste ich nicht!

    @neonreyxu

    Bitte auch das Radio ROM noch einmal downloaden, wenn es geht von anderer Quelle, vielleicht hat sich da ja schon ein Fehler eingeschlichen!??
     
  5. winne, 23.02.2010 #5
    winne

    winne Android-Guru

    Beiträge:
    3,788
    Erhaltene Danke:
    644
    Registriert seit:
    09.05.2009
    Phone:
    S60
    Wearable:
    Pebble schwarz
    Nicht zwingend, denn einige Theme-Ersteller spielen auch damit rum. ;)
    Diese Kennung wird, im Zusammenhang mit anderen, für alles mögliche verwendet. Bei mir steht da u.a. auch was anderes drin, mußte danach aber auch kein Radio mehr flashen. :D
     
  6. neonreyxu, 23.02.2010 #6
    neonreyxu

    neonreyxu Threadstarter Neuer Benutzer

    Beiträge:
    24
    Erhaltene Danke:
    0
    Registriert seit:
    05.05.2009

    wo gibst denn die build.trout ......also hab mir mal die letzte cm rom geladen und hab danach gesucht und da steht überall dream, weiß leider nicht wo es im handy zu finden ist ?

    hab jetzt in der datei build.trout.prop nachgeschaut und das steht drin:

     
    Zuletzt bearbeitet: 23.02.2010
  7. winne, 23.02.2010 #7
    winne

    winne Android-Guru

    Beiträge:
    3,788
    Erhaltene Danke:
    644
    Registriert seit:
    09.05.2009
    Phone:
    S60
    Wearable:
    Pebble schwarz
    Sorry, liegt unter /system.
    Ok, war meine erste Idee. ;)
    Haste schon versucht es nochmal neu zu laden ?
     
  8. neonreyxu, 23.02.2010 #8
    neonreyxu

    neonreyxu Threadstarter Neuer Benutzer

    Beiträge:
    24
    Erhaltene Danke:
    0
    Registriert seit:
    05.05.2009
    nuja du meinst die radio image ....ja habe ich sogar von verschiedenen quellen

    meine nächste idee wäre nur das, dass ich mein handy auf urzustand also r7 unrooted setze und dann mal die radio rüber ziehe, ab welcher verion darf ich den das radio installieren ?(R7)(R8)(R9)
     
  9. winne, 23.02.2010 #9
    winne

    winne Android-Guru

    Beiträge:
    3,788
    Erhaltene Danke:
    644
    Registriert seit:
    09.05.2009
    Phone:
    S60
    Wearable:
    Pebble schwarz
    Normaler Weise unnötig. ;) Habe selbst damals alles durchgeflasht bis cyanogen und erst im Auto bemerkt, das meine FSE nicht funkt. Eine suche bei cyanogens issues ergab, das ich immernoch das alte Radio drauf hatte. Habs einfach geflasht und gut war. Also liegt das Problem woanders. ;)

    Hattest du mal auf dem G1 in die benannte Datei geschaut ? Der Astro-Filemanager ist gut geeignet, falls du keinen drauf haben solltest.
     
  10. neonreyxu, 23.02.2010 #10
    neonreyxu

    neonreyxu Threadstarter Neuer Benutzer

    Beiträge:
    24
    Erhaltene Danke:
    0
    Registriert seit:
    05.05.2009
    Die einzige Datei die ich gefunden habe unter /System war build.trout.prop:

    # begin build properties
    # autogenerated by buildinfo.sh
    ro.build.id=DRC83
    ro.build.display.id=DRC83
    ro.build.version.incremental=14721
    ro.build.date=Mon Sep 21 16:16:12 PDT 2009
    ro.build.date.utc=1253574972
    ro.product.model=T-Mobile G1
    ro.product.brand=tmobile
    ro.product.name=kila
    ro.product.device=dream
    ro.product.board=trout
    ro.product.cpu.abi=armeabi
    ro.product.manufacturer=HTC
    ro.product.locale.language=en
    ro.product.locale.region=US
    ro.board.platform=msm7k
    # ro.build.product is obsolete; use ro.product.device
    ro.build.product=dream
    # Do not try to parse ro.build.description or .fingerprint
    ro.build.description=kila-user 1.6 DRC83 14721 ota-rel-keys,release-keys
    ro.build.fingerprint=tmobile/kila/dream/trout:1.6/DRC83/14721:user/ota-rel-keys,release-keys
    # end build properties
    #
    # system.prop for dream
    #

    rild.libpath=/system/lib/libhtc_ril.so
    ro.ril.hsxpa=2
    ro.ril.gprsclass=12
    wifi.interface = tiwlan0
    # Time between scans in seconds. Keep it high to minimize battery drain.
    # This only affects the case in which there are remembered access points,
    # but none are in range.
    wifi.supplicant_scan_interval = 45

    # density in DPI of the LCD of this board. This is used to scale the UI
    # appropriately. If this property is not defined, the default value is 160 dpi.
    ro.sf.lcd_density = 160

    # Default network type
    # # 0 => WCDMA Preferred.
    ro.telephony.default_network = 0

    soo noch mal die Fehler meldung:
    So desweiteren ist die oben genannte fehlerzeile ja in der zip in der datei update-Script und nach meines Wissen sagt dies ja aus das er die Version prüft aber ich verstehe nicht warum er es nicht durch lässt, welche funktion oder objekt prüft den nach richtiger version ? Das Telefon selbst oder das Update script

    Meistens ist es doch auch so in der programmierung das die zeile darüber einen Fehler hat ?
    das wäre dann laut update script
     
    Zuletzt bearbeitet: 23.02.2010
  11. winne, 23.02.2010 #11
    winne

    winne Android-Guru

    Beiträge:
    3,788
    Erhaltene Danke:
    644
    Registriert seit:
    09.05.2009
    Phone:
    S60
    Wearable:
    Pebble schwarz
    Nichts auffälliges. :confused: Ok, in 2h bin ich zu Hause, da hab ich dann etwas mehr Zeit, falls bis dahin keiner die ultimative Idee hatte. ;)
    Muß dann auf meinem Test-G1 mal schnell die 14 flashen. :D
     
  12. neonreyxu, 23.02.2010 #12
    neonreyxu

    neonreyxu Threadstarter Neuer Benutzer

    Beiträge:
    24
    Erhaltene Danke:
    0
    Registriert seit:
    05.05.2009
    Okay wäre super warte also mit dem flashen.
    Habe den Eintrag noch mal hier her kopiert somit kannste ja meine Überlegungen noch mal nachvollziehen

    Die einzige Datei die ich gefunden habe unter /System war build.trout.prop:

    soo noch mal die Fehler meldung:
    So desweiteren ist die oben genannte fehlerzeile ja in der zip in der datei update-Script und nach meines Wissen sagt dies ja aus das er die Version prüft aber ich verstehe nicht warum er es nicht durch lässt, welche funktion oder objekt prüft den nach richtiger version ? Das Telefon selbst oder das Update script

    Meistens ist es doch auch so in der programmierung das die zeile darüber einen Fehler hat ?
    das wäre dann laut update script

    Die zeile soll bitte schön was prüfen ? angeblich den Bootloader oder nicht?
     
    Zuletzt bearbeitet: 23.02.2010
  13. neonreyxu, 23.02.2010 #13
    neonreyxu

    neonreyxu Threadstarter Neuer Benutzer

    Beiträge:
    24
    Erhaltene Danke:
    0
    Registriert seit:
    05.05.2009
    Es wurde hier ein ähnliches Problem geschildert [R] Cyanogen 4.1.99 upgrade from 4.0.4 - xda-developers

    hatte nicht die richtige recovery drauf ^^

    Und nun habe ich die neuste radio installiert aber mein Blutooth Headset funktioniert trotzdem nicht richtig.

    Folgende Eigenart:
    -Kann mich verbinden(ohne Passwort)
    -wenn ich jetzt ein anruf tätige wählt er und nach 2 sekunden circa legt er wieder auf

    IDEE?
     
    Zuletzt bearbeitet: 23.02.2010
  14. winne, 23.02.2010 #14
    winne

    winne Android-Guru

    Beiträge:
    3,788
    Erhaltene Danke:
    644
    Registriert seit:
    09.05.2009
    Phone:
    S60
    Wearable:
    Pebble schwarz
    Welches Recovery hast du denn drauf ? Ok, erledigt. Wär ich jetzt wahrscheinlich nicht drauf gekommen. ;-)

    Flash mal krankis 4.2.5 und teste damit. Ist die letzte Version, bei der z.B. meine BT FSE funktioniert.
     
    Zuletzt bearbeitet: 23.02.2010
    neonreyxu bedankt sich.
  15. neonreyxu, 23.02.2010 #15
    neonreyxu

    neonreyxu Threadstarter Neuer Benutzer

    Beiträge:
    24
    Erhaltene Danke:
    0
    Registriert seit:
    05.05.2009
    also was aufjedenfall buggie is das mann direkt unter einstellungen es pairen kann und dass ohne passwort. funktioniert nicht

    Hab ich bluethooth an und bin auf dem homescreen, dann wird mir das gerät angezeigt, darauf geklickt und siehe da, es wird ein passwort verlangt.
    und es funktioniert alles.

    diese beiden sachen hatte ich auch bei der alten rom gemacht aber da ging dann garnichts.


    sooo noch ne frage zum schluss, hab immer absolute schlechte sprach qualli, so sagen es die leute mit denen ich telefoniere, kann ich das iregentwie ändern?

    Ich meine ohne Headset
     
  16. winne, 23.02.2010 #16
    winne

    winne Android-Guru

    Beiträge:
    3,788
    Erhaltene Danke:
    644
    Registriert seit:
    09.05.2009
    Phone:
    S60
    Wearable:
    Pebble schwarz
    Und es funktioniert alles, mit welchem ROM ? Auch mit 4.2.14, oder mit der 4.2.5 ?
    Zur Sprachqualität kann ich nichts sagen, denn die ist bei mir ok. ;)
     
  17. neonreyxu, 23.02.2010 #17
    neonreyxu

    neonreyxu Threadstarter Neuer Benutzer

    Beiträge:
    24
    Erhaltene Danke:
    0
    Registriert seit:
    05.05.2009
    also das funst bei der cyanogen mod 4.2.14.1



    hast du irgendwie SWAP im spiel bei dir
     
    Zuletzt bearbeitet: 23.02.2010
  18. winne, 23.02.2010 #18
    winne

    winne Android-Guru

    Beiträge:
    3,788
    Erhaltene Danke:
    644
    Registriert seit:
    09.05.2009
    Phone:
    S60
    Wearable:
    Pebble schwarz
    Gibt noch keine neue Version von cyanogen, aber du kannst ja mal die Super D antesten. ;)

    Wenn die SD partitioniert wird, wird dies von den meisten ROMs entweder direkt unterstützt, oder ist über Spareparts (App ist meist dabei) aktivierbar.
     
  19. neonreyxu, 23.02.2010 #19
    neonreyxu

    neonreyxu Threadstarter Neuer Benutzer

    Beiträge:
    24
    Erhaltene Danke:
    0
    Registriert seit:
    05.05.2009
    ich danke dir erstmal für die unterstützung

    und zu super D werd ich ja nen tutorial finden oder kann ich es ladenund einfach jetzt drüber ziehen ?
     
  20. winne, 23.02.2010 #20
    winne

    winne Android-Guru

    Beiträge:
    3,788
    Erhaltene Danke:
    644
    Registriert seit:
    09.05.2009
    Phone:
    S60
    Wearable:
    Pebble schwarz

Diese Seite empfehlen